function change_pick_up(regiao,registos)
{
    var cur_length=document.LayoutRegion3FORM.car_pickup_loc.options.length;    
    for(i=0;i<registos;i++)  
        document.LayoutRegion3FORM.car_pickup_loc.options[1] = null;

    ind=1;
    document.LayoutRegion3FORM.car_pickup_loc.options[0] = new Option('Select a location',0);
    for (i=1; i<=registos; i++) 
    {
        if (tb_loc[i-1][0]==regiao)
        {   
           document.LayoutRegion3FORM.car_pickup_loc.options[ind] = new Option(tb_loc[i-1][2],tb_loc[i-1][1]);
           ind=ind+1;
        }
    }    
    
 }

function change_drop_off(regiao,registos)
{
    var cur_length=document.bookcarLayout.car_dropoff_loc.options.length;    
    for(i=0;i<registos;i++)  
        document.bookcarLayout.car_dropoff_loc.options[1] = null;

    ind=1;
    document.bookcarLayout.car_dropoff_loc.options[0] = new Option('Select a location',0);
    for (i=1; i<=registos; i++) 
    {
        if (tb_loc[i-1][0]==regiao)
        {   
           document.bookcarLayout.car_dropoff_loc.options[ind] = new Option(tb_loc[i-1][2],tb_loc[i-1][1]);
           ind=ind+1;
        }
    }    
    
}


function drop_off_destination(registos)
{
    var cur_length=document.bookcarLayout.car_destination.options.length;    
    for(i=0;i<registos;i++)  
        document.bookcarLayout.car_destination.options[1] = null;

    document.bookcarLayout.car_destination.options[0] = new Option('Select a destination',0);
    for (i=1; i<=registos; i++) 
    {   
       document.bookcarLayout.car_destination.options[i] = new Option(tb_dest[i-1][1],tb_dest[i-1][0]);
    }    
    
}


function desc_drop_off(regiao,location,registos)
{
    for (i=1; i<=registos; i++) 
    {
        if (tb_loc[i-1][0]==regiao && tb_loc[i-1][1]==location)
        {   
           document.bookcarLayout.desc_drop_off_loc.value = tb_loc[i-1][2];
           document.bookcarLayout.endereco_drop_off.value = tb_loc[i-1][3];
        }
    }    
    
}

function desc_destination(regiao,registos)
{
    for (i=1; i<=registos; i++) 
    {
        if (tb_dest[i-1][0]==regiao)
        {   
           document.bookcarLayout.desc_destination.value = tb_dest[i-1][1];
        }
    }    
    
}


function change_drop_off_desc_dest(regiao, registos, registos1)
{
    change_drop_off(regiao,registos);
    desc_destination(regiao,registos1);
}


function calcular_total_extra(indice,quantity,preco,preco_por_dia,nro_dias,preco_total)
{   
    
    if (preco_por_dia==0)
        valor_extra = (preco*quantity);
    else
        valor_extra = (preco*quantity*nro_dias);
    
    if (indice==1) 
    {
       document.bookcarLayout.total_extras.value = document.bookcarLayout.total_extras.value - document.bookcarLayout.hidden_price_total_extra1.value + valor_extra; 
       total_extras = eval(document.bookcarLayout.total_extras.value);
       total_extras = total_extras.toFixed(2) + ' €';
       document.bookcarLayout.total_extras1.value = total_extras;    
       document.bookcarLayout.total_extras2.value = total_extras;    

       document.bookcarLayout.balance.value = document.bookcarLayout.balance.value - document.bookcarLayout.hidden_price_total_extra1.value + valor_extra; 
       valor_balance_euros = document.bookcarLayout.balance.value;      
       valor_balance_euros = eval(valor_balance_euros).toFixed(2) + ' €';   
       document.bookcarLayout.balance1.value = valor_balance_euros;      
       document.bookcarLayout.balance2.value = valor_balance_euros;   

       document.bookcarLayout.preco_total.value = document.bookcarLayout.preco_total.value - document.bookcarLayout.hidden_price_total_extra1.value + valor_extra; 
       valor_total_euros = document.bookcarLayout.preco_total.value;      
       valor_total_euros = eval(valor_total_euros).toFixed(2) + ' €';   
       document.bookcarLayout.preco_total1.value = valor_total_euros;      
       document.bookcarLayout.preco_total2.value = valor_total_euros;   

       document.bookcarLayout.hidden_price_total_extra1.value = valor_extra;       
       valor_extra = valor_extra.toFixed(2) + ' €';        
       document.bookcarLayout.price_total_extra1.value = valor_extra;

    }

    if (indice==2) 
    {
       document.bookcarLayout.total_extras.value = document.bookcarLayout.total_extras.value - document.bookcarLayout.hidden_price_total_extra2.value + valor_extra; 
       total_extras = eval(document.bookcarLayout.total_extras.value);
       total_extras = total_extras.toFixed(2) + ' €';
       document.bookcarLayout.total_extras1.value = total_extras; 
       document.bookcarLayout.total_extras2.value = total_extras;    

       document.bookcarLayout.balance.value = document.bookcarLayout.balance.value - document.bookcarLayout.hidden_price_total_extra2.value + valor_extra; 
       valor_balance_euros = document.bookcarLayout.balance.value;      
       valor_balance_euros = eval(valor_balance_euros).toFixed(2) + ' €';   
       document.bookcarLayout.balance1.value = valor_balance_euros;      
       document.bookcarLayout.balance2.value = valor_balance_euros; 

       document.bookcarLayout.preco_total.value = document.bookcarLayout.preco_total.value - document.bookcarLayout.hidden_price_total_extra2.value + valor_extra;       
       valor_total_euros = document.bookcarLayout.preco_total.value;      
       valor_total_euros = eval(valor_total_euros).toFixed(2) + ' €';   
       document.bookcarLayout.preco_total1.value = valor_total_euros;      
       document.bookcarLayout.preco_total2.value = valor_total_euros;   

       document.bookcarLayout.hidden_price_total_extra2.value = valor_extra;
       valor_extra = valor_extra.toFixed(2) + ' €';
       document.bookcarLayout.price_total_extra2.value = valor_extra;
    }

    if (indice==3) 
    {
       document.bookcarLayout.total_extras.value = document.bookcarLayout.total_extras.value - document.bookcarLayout.hidden_price_total_extra3.value + valor_extra; 
       total_extras = eval(document.bookcarLayout.total_extras.value);
       total_extras = total_extras.toFixed(2) + ' €';
       document.bookcarLayout.total_extras1.value = total_extras; 
       document.bookcarLayout.total_extras2.value = total_extras;    

       document.bookcarLayout.balance.value = document.bookcarLayout.balance.value - document.bookcarLayout.hidden_price_total_extra3.value + valor_extra; 
       valor_balance_euros = document.bookcarLayout.balance.value;      
       valor_balance_euros = eval(valor_balance_euros).toFixed(2) + ' €';   
       document.bookcarLayout.balance1.value = valor_balance_euros;      
       document.bookcarLayout.balance2.value = valor_balance_euros; 

       document.bookcarLayout.preco_total.value = document.bookcarLayout.preco_total.value - document.bookcarLayout.hidden_price_total_extra3.value + valor_extra;       
       valor_total_euros = document.bookcarLayout.preco_total.value;      
       valor_total_euros = eval(valor_total_euros).toFixed(2) + ' €';   
       document.bookcarLayout.preco_total1.value = valor_total_euros;      
       document.bookcarLayout.preco_total2.value = valor_total_euros;     

       document.bookcarLayout.hidden_price_total_extra3.value = valor_extra;
       valor_extra = valor_extra.toFixed(2) + ' €';
       document.bookcarLayout.price_total_extra3.value = valor_extra;
    }    

    if (indice==4) 
    {
       document.bookcarLayout.total_extras.value = document.bookcarLayout.total_extras.value - document.bookcarLayout.hidden_price_total_extra4.value + valor_extra; 
       total_extras = eval(document.bookcarLayout.total_extras.value);
       total_extras = total_extras.toFixed(2) + ' €';
       document.bookcarLayout.total_extras1.value = total_extras; 
       document.bookcarLayout.total_extras2.value = total_extras;    

       document.bookcarLayout.balance.value = document.bookcarLayout.balance.value - document.bookcarLayout.hidden_price_total_extra4.value + valor_extra; 
       valor_balance_euros = document.bookcarLayout.balance.value;      
       valor_balance_euros = eval(valor_balance_euros).toFixed(2) + ' €';   
       document.bookcarLayout.balance1.value = valor_balance_euros;      
       document.bookcarLayout.balance2.value = valor_balance_euros; 

       document.bookcarLayout.preco_total.value = document.bookcarLayout.preco_total.value - document.bookcarLayout.hidden_price_total_extra4.value + valor_extra;       
       valor_total_euros = document.bookcarLayout.preco_total.value;      
       valor_total_euros = eval(valor_total_euros).toFixed(2) + ' €';   
       document.bookcarLayout.preco_total1.value = valor_total_euros;      
       document.bookcarLayout.preco_total2.value = valor_total_euros;     

       document.bookcarLayout.hidden_price_total_extra4.value = valor_extra;
       valor_extra = valor_extra.toFixed(2) + ' €';
       document.bookcarLayout.price_total_extra4.value = valor_extra;
    }   

    if (indice==5) 
    {
       document.bookcarLayout.total_extras.value = document.bookcarLayout.total_extras.value - document.bookcarLayout.hidden_price_total_extra5.value + valor_extra; 
       total_extras = eval(document.bookcarLayout.total_extras.value);
       total_extras = total_extras.toFixed(2) + ' €';
       document.bookcarLayout.total_extras1.value = total_extras; 
       document.bookcarLayout.total_extras2.value = total_extras;    

       document.bookcarLayout.balance.value = document.bookcarLayout.balance.value - document.bookcarLayout.hidden_price_total_extra5.value + valor_extra; 
       valor_balance_euros = document.bookcarLayout.balance.value;      
       valor_balance_euros = eval(valor_balance_euros).toFixed(2) + ' €';   
       document.bookcarLayout.balance1.value = valor_balance_euros;      
       document.bookcarLayout.balance2.value = valor_balance_euros; 

       document.bookcarLayout.preco_total.value = document.bookcarLayout.preco_total.value - document.bookcarLayout.hidden_price_total_extra5.value + valor_extra;       
       valor_total_euros = document.bookcarLayout.preco_total.value;      
       valor_total_euros = eval(valor_total_euros).toFixed(2) + ' €';   
       document.bookcarLayout.preco_total1.value = valor_total_euros;      
       document.bookcarLayout.preco_total2.value = valor_total_euros;     

       document.bookcarLayout.hidden_price_total_extra5.value = valor_extra;
       valor_extra = valor_extra.toFixed(2) + ' €';
       document.bookcarLayout.price_total_extra5.value = valor_extra;
    }   

}


function valida_fields()
{
    var erros  = '';
    var erros1 = '';

    if (document.bookcarLayout.car_destination.value==0)
        erros += '      Drop-off destination\n';

    if (document.bookcarLayout.car_dropoff_loc.value==0)
        erros += '      Drop-off location\n';

    if (document.bookcarLayout.nome_hotel.value=='')
        erros += '      Hotel name\n';

    if (document.bookcarLayout.nro_voo.value=='')
        erros += '      Flight number\n';

    if (erros!='')
        erros = 'The next fields are required:\n\n' + erros;

    erros = erros1 + erros;

    if (erros!='')
       alert (erros);       
    else
       document.bookcarLayout.submit();

}


function calcular_fora_horas(valor_extra)
{                
   var valor = eval(valor_extra);   
   document.bookcarLayout.total_extras.value  = eval(document.bookcarLayout.total_extras.value) + valor; 
   total_extras = eval(document.bookcarLayout.total_extras.value);
   total_extras = eval(total_extras).toFixed(2) + ' €';   
   document.bookcarLayout.total_extras1.value = total_extras;      
   document.bookcarLayout.total_extras2.value = total_extras;    

   document.bookcarLayout.balance.value       = eval(document.bookcarLayout.balance.value) + valor; 
   valor_balance_euros = eval(document.bookcarLayout.balance.value);
   valor_balance_euros = eval(valor_balance_euros).toFixed(2) + ' €';  
   document.bookcarLayout.balance1.value      = valor_balance_euros; 
   document.bookcarLayout.balance2.value      = valor_balance_euros;   

   document.bookcarLayout.preco_total.value   = eval(document.bookcarLayout.preco_total.value) + valor; 
   valor_total_euros = eval(document.bookcarLayout.preco_total.value);      
   valor_total_euros = eval(valor_total_euros).toFixed(2) + ' €';   
   document.bookcarLayout.preco_total1.value  = valor_total_euros;   
   document.bookcarLayout.preco_total2.value  = valor_total_euros;   
}


//Specify highlight behavior. "TD" to highlight table cells, "TR" to highlight the entire row:
var highlightbehavior="TD"

var ns6=document.getElementById&&!document.all
var ie=document.all

function changeto(e,highlightcolor){
source=ie? event.srcElement : e.target
if (source.tagName=="TABLE")
return
while(source.tagName!=highlightbehavior && source.tagName!="HTML")
source=ns6? source.parentNode : source.parentElement
if (source.style.backgroundColor!=highlightcolor&&source.id!="ignore")
source.style.backgroundColor=highlightcolor
}

function contains_ns6(master, slave) { //check if slave is contained by master
while (slave.parentNode)
if ((slave = slave.parentNode) == master)
return true;
return false;
}

function changeback(e,originalcolor){
if (ie&&(event.fromElement.contains(event.toElement)||source.contains(event.toElement)||source.id=="ignore")||source.tagName=="TABLE")
return
else if (ns6&&(contains_ns6(source, e.relatedTarget)||source.id=="ignore"))
return
if (ie&&event.toElement!=source||ns6&&e.relatedTarget!=source)
source.style.backgroundColor=originalcolor
}
